:root {
    --div-color-canhan: rgba(255, 210, 210);
    --div-color-thu:rgba(202, 255, 202);
    --div-color-chi: rgba(255, 238, 206);
    --div-color-save: rgb(204, 255, 255);
    --color-canhan: rgb(180, 0, 0);
    --color-thu: green;
    --color-chi: rgb(116, 75, 0);
    --color-save: rgb(0, 117, 117);
}

*,::after,::before {
    margin: 0px;
    padding: 0px;
    font-family: 'Times New Roman', Times, serif;
    box-sizing: content-box;
}

body {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: #fff;
    /* background-image: linear-gradient(135deg, rgba(243, 243, 243, 0.562), rgba(172, 172, 172, 0.5)); */
    min-height: 100vh;
}

div.circle {
    height: 15px;
    width: 15px;
    display: inline-block;
    border-radius: 15px;
    border: 1px solid black;
}

.sodu {
    background-color: rgb(0, 211, 28);
    color: black;
    text-align: center;
    font-size: 30px;
    text-shadow: 0px 1px 0px rgb(255, 255, 255);
    font-weight: bold;
    padding: 5px;
    line-height: normal;
    border-bottom: 1px outset;
}

.sodu.dautu {
    border-top: 3px outset white;
    background-color: #900000;
    text-shadow: 0px 1px 0px black;
    color: white;
}

.sidebar {
    float: left;
    width: 300px;
    height: 100vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: rgb(22, 22, 22);
    color: rgb(219, 219, 219);
    background-image: linear-gradient(45deg, rgb(43, 43, 43),rgb(22, 22, 22));
    box-shadow: 10px 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    z-index: 100;
}

.sidebar-header {
    text-align:center;
    border-bottom: 2px solid gray;
    margin:0px;
}

.sidebar-ds-quy {
    height: calc(100% - 30.8px);
    overflow-y: auto;
}

.sidebar-ds-quy::-webkit-scrollbar {
    display: none;
}

.sidebar-quy {
    border-color: var(--mau_quy);
    border-radius: 15px;
    padding: 5px;
    margin: 3px;
    margin-top: 5px;
    margin-bottom: 10px;
    background-color: var(--mau_quy);
    color: var(--font_quy);
    border-bottom: 3px solid white;
}

.sidebar-quy h4:first-child {
    
}

.sidebar-quy h4:last-child {
    text-align: right;
}

.sidebar-child {
    height: calc((100vh - 46px - 48.5px));
    /* border-bottom: 3px solid white; */
    border-top: 3px solid white;
    padding: 5px;
}

.main-content {
    float:left;
    width: calc(100% - 300px);
    height: 100vh;
    background-color: rgba(202, 202, 202, 0.945);
}

.thongbaophai {
    padding: 15px;
    width: 300px;
    max-width: calc(100% - 35px);
    position: fixed;
    top: 40px;
    right: 0px;
    font-size: 20px;
    transition: transform 0.5s,opacity 5s;
    transform: translate(100%,0);
    z-index: 1000;
    pointer-events: none;
}

.thongbaophai.success {
    background-color: rgba(121, 209, 121,0.95);
    color: rgba(6, 148, 6,1);
    border-left: 5px solid rgba(6, 148, 6,1);
}

.thongbaophai.error {
    background-color: rgba(255, 157, 157, 0.95);
    color: rgb(226, 2, 2);
    border-left: 5px solid rgb(206, 0, 0);
}

input:focus {
    outline:0px;
}

.page-login {
    width: 100vw;
    height: 100vh;
    /* background-color: pink; */
}

.div-login {
    height: 100vh;
    width:100vw;
    position: fixed;
    top:0px;
    left:0px;
    padding-top: 30vh;
}

.login {
    width: 400px;
    max-width: 100%;
    background-color: white;
    margin:auto;
    padding: 10px;
    border-radius: 5px;
    text-align:center;
    border-bottom: 3px solid black;
}

.login input[type = 'password'] {
    width: 70%;
    font-size: 20px;
    margin-bottom: 10px;
    border: 0px;
    padding: 5px;
    border-bottom: 3px solid gray;
}

.login input[type = 'submit'] {
    width: 40%;
    border: 0px;
    background-color: blue;
    border-bottom: 3px solid black;
    cursor: pointer;
    padding: 5px;
    color: pink;
    transition: all 0.5s;
}

.login input[type = 'submit']:hover {
    background-color: pink;
    color: blue;
}



input[type='range'] {
    overflow: hidden;
    width: 80px;
    -webkit-appearance: none;
    background-color: black;
}

input[type='range']::-webkit-slider-runnable-track {
    height: 10px;
    -webkit-appearance: none;
    color: #13bba4;
    margin-top: -1px;
}
  
input[type='range']::-webkit-slider-thumb {
    margin-top:-2.5px;
    width: 15px;
    -webkit-appearance: none;
    height: 15px;
    background: gray;
    border-radius: 10%;
    box-shadow: -1000px 0 0 1000px black;
    transition: box-shadow 0.5s;
}

:root {
    --danhgia1: red;
    --danhgia2: orange;
    --danhgia3: yellow;
    --danhgia4: #CEFA05;
    --danhgia5: limegreen;
}

input.value-1::-webkit-slider-thumb {
    box-shadow: -1000px 0 0 1000px var(--danhgia1);
}

input.value-2::-webkit-slider-thumb {
    box-shadow: -1000px 0 0 1000px var(--danhgia2);
}

input.value-3::-webkit-slider-thumb {
    box-shadow: -1000px 0 0 1000px var(--danhgia3);
}

input.value-4::-webkit-slider-thumb {
    box-shadow: -1000px 0 0 1000px var(--danhgia4);
}

input.value-5::-webkit-slider-thumb {
    box-shadow: -1000px 0 0 1000px var(--danhgia5);
}

.inner-div-form, .inner-div-form-taolop {
    width: 700px;
    max-width: 100%;
    margin: 5px auto;
    overflow: auto;
    border: 1px solid silver;
    padding: 5px;
    background-color: rgb(235,235,235);
}

.input {
    float:left;
    margin: 2px;
    position: relative;
    margin-bottom: 5px;
}

.inner-div-form .input {
    width: calc(50% - 4px);
}

.inner-div-form .input input[type = 'checkbox'] {
    position: absolute;
    right: 5px;
    top:50%;
    transform: translate(0,-50%);
    height: 13px;
    width: 13px;
}

input[type='text'] {
    padding: 3px 2px;
    width: 100%; 
    border: 0px;
    border-bottom: 2px solid;
    font-size: 15px;
}
/* select {
    padding: 2px;
    width: 100%; 
    border: 0px;
    border-bottom: 2px solid silver;
    font-size: 15px;
    background-color: rgba(50,50,50);
    color: white;
} */

select:focus {
    outline: 0px;
}

.input select {
    width: 100%; 
    padding: 4px 2px;
    background-color: white;
    color:black;
    border-radius: 0px;
}

#div-themmucmoi .tenmuc {
    position: relative;
}

#div-themmucmoi .tenmuc input[type='color'] {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 5px;
    background-color: rgba(0,0,0,0);
    border: 2px solid black;
}

input[type='color'] {
    width: 100%;
    border: 0px;
}

.inner-div-form .danhgia {
    width: calc(20% - 4px);
    float:left;
    margin: 2px;
    height: 25px;
    line-height: 25px;
    margin-bottom: 5px;
}

.danhgia input[type='range'] {
    width: calc(100% - 20px);
}

.vnd {
    position: absolute;
    top: calc(50%);
    transform: translate(0, -50%);
    right:5px;
    font-size: 14px;
}

.inner-div-form-taolop .input {
    width: calc(100% - 4px);
}

.themthuchi,.themlop {
    border: 0px;
    background-color: green;
    padding: 5px 10px;
    color: white;
    text-shadow: 0 1px 0 gray;
    border-radius: 2px;
    cursor: pointer;
    border-bottom: 3px solid black;
    transition: background-color 0.5s;
    min-width: 100px;
}

.themthuchi.red {
    background-color: rgb(201, 0, 0);
}

.themthuchi:hover, .themlop:hover {
    background-color: #029902;
}

.themthuchi.red:hover {
    background-color: rgb(224, 0, 0);
}

@media only screen and (max-width:580px) {
    .input, .danhgia {
        width: calc(100% - 4px);
    }
    .inner-div-form, .inner-div-form-taolop {
        padding: 5px 0px;
    }
}

/* .noidung-scroll::-webkit-scrollbar {
    display: none;
} */

.noidung-scroll {
    overflow-x: auto;
}

.noidung-scroll::-webkit-scrollbar {
    height: 5px;
}

/* Track */
.noidung-scroll::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
.noidung-scroll::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
.noidung-scroll::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.thangchitieu {
    /* width: calc(50% - 10px);
    margin: 5px;
    float:left; */
    border: 2px solid black;
    border-radius: 3px;
    width: 1000px;
    max-width: calc(100% - 10px);
    float: none;
    margin: 5px auto;
    cursor: pointer;
}

@media only screen and (max-width:580px) {
    .thangchitieu {
        width: calc(100% - 10px);
    }
}


.thanghientai {
    width: 1000px;
    max-width: calc(100% - 10px);
    float: none;
    margin: 5px auto;
    cursor: default;
} 

.thangchitieu .tenthang{
    text-align: center;
    border-bottom: 2px solid black;
    font-weight: bold;
    padding: 3px;
    background-color: yellow;
}

.thangchitieu .tong {
    border-bottom: 2px solid black;
    background-color: silver;
    display: flex;
}

.thangchitieu .tong .cot {
    /* width: calc(33.33% - 1.33px - 6px); */
    /*trừ border và trừ padding*/
    max-width: 33.33333%;
    flex-basis: 33.33333%;
    padding: 3px;
}

.cot {
    border-right: 2px solid black;
}

.noidung {
    overflow: auto;
    min-width: 900px;
    box-sizing: border-box;
}

.thangchitieu {
    --cot1:12%;
    --cot2:62%;
    --cot3:14%;
    --cot4:4%;
    --cot5:4%;
    --cot6:4%;
}

.thangchitieu.no-delete {
    --cot2:66%;
}

.khungdanhsach {
    width: 1000px;
    max-width: calc(100% - 5px);
    background-color: rgb(235,235,235);
    border: 3px solid black;
    border-radius: 5px;
    margin: 5px auto;
    padding: 10px;
    overflow-y: auto;
    overflow-x: auto;
}

.khungdanhsach-inner {
    width: 970px;
    overflow-y: auto;
}

.khungdanhsach .item {
    width: 461px;
}

.muc {
    --cot1:80%;
    --cot2:20%;
}

.muc {
    border: 2px solid black;
    float: left;
    width: calc(48% - 2px);
    margin: 1%;
    background-color: rgb(231, 231, 231);
    position: relative;
}

.muc .xoamuc {
    position: absolute;
    top:0px;
    right:0px;
    font-size: 10px;
    background-color: rgba(255, 255, 255, 0.9);
    border-width: 0;
    border-left: 2px solid black;
    border-bottom: 2px solid black;
    border-radius: 0 0 0 5px;
    cursor: pointer;
}

.muc .tenmuc {
    text-align: center;
    font-weight: bold;
}

.muc .tongmuc {
    text-align: center;
    border-top: 2px solid black;
    background-color: silver;
}

.quy {
    float: left;
    width: calc(31.5% - 2px);
    margin: 1%;
    max-width: calc(100% - 2px);
    background-color: black;
    position: relative;
    height: 130px;
    border-radius: 17px;
    padding: 10px;
    border-bottom: 5px solid black;
}

.quy img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.2;
}

.quy .tien_quy {
    position: absolute;
    bottom: 10px;
    right: 10px;
    margin: 0px;
}

.quy .xoaquy {
    position: absolute;
    top:0px;
    right:0px;
    font-size: 15px;
    background-color: rgba(255, 255, 255, 0.9);
    border-width: 0;
    border-left: 2px solid black;
    border-bottom: 2px solid black;
    border-radius: 0 0 0 5px;
    cursor: pointer;
}

.vi {
    float: left;
    width: calc(31.5% - 2px);
    margin: 1%;
    max-width: calc(100% - 2px);
    position: relative;
    height: 130px;
    border-radius: 17px;
    padding: 10px;
    border-bottom: 5px solid black;
}

.vi .xoavi {
    position: absolute;
    top: 10px;
    right: 10px;
}

.tienchuavaoquy {
    text-align: center;
    margin-bottom: -3px;
}

.tienchuavaoquy div {
    width: 200px;
    display: inline-block;
    background-color: rgb(235,235,235);
    border: 3px solid black;
    font-size: 20px;
    border-bottom-width: 0px;
}

.noidung .header {
    display: flex;
    background-color: blueviolet;
    text-align: center;
}

.noidung .chinh {
    border-top: 2px solid black;
    display: flex;
    transition: all 1s;
}

.noidung .cot, .muc .cot {
    padding: 3px;
    overflow-wrap: break-word;
    word-wrap: break-word;
}

.cot1 {
    flex-basis: var(--cot1);
    max-width: var(--cot1);
}

.cot2 {
    flex-basis: var(--cot2);
    max-width: var(--cot2);
}

.cot3 {
    flex-basis: var(--cot3);
    max-width: var(--cot3);
}

.cot4 {
    flex-basis: var(--cot4);
    max-width: var(--cot4);
}

.cot5 {
    flex-basis: var(--cot5);
    max-width: var(--cot5);
}

.cot6 {
    flex-basis: var(--cot6);
    max-width: var(--cot6);
}

.muc .chitieu {
    border-top: 2px solid black;
    display: flex;
    transition: all 1s;
    position: relative;
    background-color: white;
    cursor: default;
}

.muc .chitieu .thoigian {
    top:0;
    left:0;
    position: absolute;
    width: var(--cot1);
    background-color: rgb(132, 220, 247);
    opacity: 0;
    transition: opacity 0.5s;
}

.muc .chitieu .thoigian:hover {
    opacity: 0.95;
}


.cot:last-child {
    border-right: 0px;
}

.noidung .cot5 {
    flex-basis: var(--cot5);
    max-width: var(--cot5);
    text-align: center;
}

.xoa {
    cursor: pointer;
}

.div-tab {
    overflow-y: auto;
    background-color: rgb(102, 102, 102);;
}

.tab {
    float: left;
    width: 150px;
    max-width: calc(50% - 4px);
    cursor: pointer;
    border: 2px solid rgba(0,0,0,0);
    border-left-color: silver;
    border-right-color: silver;
    border-top-width: 4px;
    font-size: 20px;
    text-align: center;
    padding: 2px 0;
    transition: 0.2s;
    background-color: white;
}

a:first-child .tab {
    border-left-width: 4px;
}

a:last-child .tab {
    border-right-width: 4px;
}

.tab.active {
    border-color: rgb(225,225,225);
    border-top-color:gray;
    border-bottom-color: white;
    background-color: white;
}

.hr-tab {
    margin-top: -2px;
    margin-bottom: 5px;
    border:0px;
    border-top: 2px solid rgb(200,200,200);
}

.div-tab-inner {
    width: fit-content;
    margin: 0 auto;
}

.content-tab {
    transition: opacity 0.5s;
    opacity: 1;
    height: calc(100vh - 45px);
    overflow-y: auto;
}

.hide {
    display: none !important;
}

.gray-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: #888;
    opacity: 0;
    z-index: 1000;
    pointer-events: none;
    transition: opacity 0.3s;
}

.gray-overlay.active {
    opacity: 0.8;
    pointer-events: all;
}

.div-popup {
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 1100;
    transition: transform 0.3s;
    width: 580px;
    max-width: 90%;
    max-height: 90%;
    border-radius: 5px;
    transform: translate(-50%,-50%) scale(0);
    background-color: white;
    box-shadow: -4px -3px 45px 21px rgba(0,0,0,0.35);
    overflow-y: auto;
}   

.div-popup.active {
    transform: translate(-50%,-50%) scale(1);
}

.div-popup .content {
    min-height: 150px;
    padding: 10px;
    border-bottom: 2px solid gray;
}

.div-popup .yes-no {
    padding: 10px;
    text-align: center;
}

.div-popup .yes-no .yes {
    display: inline-block;
    padding: 5px 15px 3px;
    background-color: green;
    border-radius: 5px;
    color: white;
    font-weight: bold;
    text-shadow: 0px 1px 0px black;
    margin: 3px;
    cursor: pointer;
    width: 100px;
}

.div-popup .yes-no .no {
    display: inline-block;
    padding: 5px 15px 3px;
    background-color: red;
    border-radius: 5px;
    color: white;
    font-weight: bold;
    text-shadow: 0px 1px 0px black;
    margin: 3px;
    cursor: pointer;
    width: 100px;
}

.div-popup .content ul {
    list-style-type: square;
}

.div-popup .content li {
    margin-top: 10px;
}

.open_cal {
    position: absolute;
    width: fit-content;
    right: 0;
    top: 100px;
    padding: 8px 7px 5px 100px;
    font-size: 25px;
    background-color: rgba(255, 192, 203,0.95);
    transform: translate(20px);
    border-radius: 30px;
    transition: transform 0.2s;
    z-index: 390;
}

.open_cal:hover {
    transform: translate(30px);
    cursor: pointer;
}

.open_cal.active {
    transform: translate(30px);
}

.div_cal {
    background-color: rgba(255, 192, 203,0.95);
    height: 100vh;
    width: 300px;
    position: fixed;
    left: 0;
    top: 0;
    transition: transform 0.5s;
    transform: translate(-100%);
    z-index: 400;
}

.div_cal .content_div, .div_save .content_div {
    position: relative;
    z-index: 400;
}

.div_cal .content_div input {
    width: calc(100% - 6px);
    border: 0px;
    background-color: inherit;
    margin: 3px;
    border-bottom: 1px solid gray;
}

.div_cal.active {
    transform: translate(0%);
}

.plus-calc {
    text-align: center;
}

.plus-calc i {
    cursor: pointer;
    font-size: 20px;
}

.plus-calc i:hover {
    color: rgb(31, 31, 31);
}

#note-calc {
    background-color: white;
    padding: 3px;
    box-sizing: border-box;
    border: 1px solid black;
    border-radius: 2px;
    text-align: center;
}

.open_save {
    position: absolute;
    width: fit-content;
    left: 0;
    top: 100px;
    padding: 8px 100px 5px 7px;
    font-size: 25px;
    background-color: rgba(23, 240, 255, 0.95);
    transform: translate(-20px);
    border-radius: 30px;
    transition: transform 0.2s;
    z-index: 300;
}

.open_save:hover {
    transform: translate(-30px);
    cursor: pointer;
}

.open_save.active {
    transform: translate(-30px);
}

.div_save {
    background-color: rgba(23, 240, 255, 0.95);
    height: 100vh;
    width: 300px;
    position: fixed;
    right: 0;
    top: 0;
    transition: transform 0.5s;
    transform: translate(100%);
    z-index: 400;
}

.div_save.active {
    transform: translate(0%);
}

.money_save {
    background-color: white;
    color: black;
    text-shadow: 0px 1px 0px rgba(23, 240, 255, 0.95);
    text-align: center;
    font-size: 25px;
    padding: 3px;
    position: relative;
}

.money_save i {
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
}

.money_save i.pig1 {
    left: 5px;
}

.money_save i.pig2 {
    right: 5px;
}

.save_naprut {
    text-align: center;
    margin-top: 3px;
}

.save_naprut input {
    width: 90%;
    padding: 3px;
    border: 0px;
    background-color: inherit;
    border-bottom: 1px solid gray;
    font-size: 15px;
    font-weight: bold;
}

.save_naprut .nap, .save_naprut .rut {
    display: inline-block;
    width: 40%;
    margin: 3px;
    padding: 3px;
    color: white;
    cursor: pointer;
}

.save_naprut .nap {
    background-color: green;
}

.save_naprut .rut {
    background-color: red;
}

.div-save-detail {
    overflow: auto;
    margin: 3px;
    padding: 5px;
    border-bottom: 1px solid gray;
}

.div-save-detail .thoigian {
    float: left;
    width: 50%
}

.div-save-detail .sotien {
    float: left;
    width: 50%; 
    position: relative;
    text-align: right;
}

.save_detail {
    height: calc(100vh - 90px);
    overflow-y: auto;
}

.save_detail::-webkit-scrollbar {
    width: 3px;
  }

/* Track */
.save_detail::-webkit-scrollbar-track {
background: rgba(23, 240, 255, 0.95);
}

/* Handle */
.save_detail::-webkit-scrollbar-thumb {
background: #888;
}

/* Handle on hover */
.save_detail::-webkit-scrollbar-thumb:hover {
background: #555;
}

/* snow animation */

.snowflake {
    color: #fff;
    font-size: 1em;
    font-family: Arial;
    text-shadow: 0 0 1px #000;
  }
  
  @-webkit-keyframes snowflakes-fall{0%{top:-10%}100%{top:100%}}@-webkit-keyframes snowflakes-shake{0%{-webkit-transform:translateX(0px);transform:translateX(0px)}50%{-webkit-transform:translateX(80px);transform:translateX(80px)}100%{-webkit-transform:translateX(0px);transform:translateX(0px)}}@keyframes snowflakes-fall{0%{top:-10%}100%{top:100%}}@keyframes snowflakes-shake{0%{transform:translateX(0px)}50%{transform:translateX(80px)}100%{transform:translateX(0px)}}.snowflake{position:fixed;top:-10%;z-index:9999;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;cursor:default;-webkit-animation-name:snowflakes-fall,snowflakes-shake;-webkit-animation-duration:10s,3s;-webkit-animation-timing-function:linear,ease-in-out;-webkit-animation-iteration-count:infinite,infinite;-webkit-animation-play-state:running,running;animation-name:snowflakes-fall,snowflakes-shake;animation-duration:10s,3s;animation-timing-function:linear,ease-in-out;animation-iteration-count:infinite,infinite;animation-play-state:running,running}.snowflake:nth-of-type(0){left:1%;-webkit-animation-delay:0s,0s;animation-delay:0s,0s}.snowflake:nth-of-type(1){left:10%;-webkit-animation-delay:1s,1s;animation-delay:1s,1s}.snowflake:nth-of-type(2){left:20%;-webkit-animation-delay:6s,.5s;animation-delay:6s,.5s}.snowflake:nth-of-type(3){left:30%;-webkit-animation-delay:4s,2s;animation-delay:4s,2s}.snowflake:nth-of-type(4){left:40%;-webkit-animation-delay:2s,2s;animation-delay:2s,2s}.snowflake:nth-of-type(5){left:50%;-webkit-animation-delay:8s,3s;animation-delay:8s,3s}.snowflake:nth-of-type(6){left:60%;-webkit-animation-delay:6s,2s;animation-delay:6s,2s}.snowflake:nth-of-type(7){left:70%;-webkit-animation-delay:2.5s,1s;animation-delay:2.5s,1s}.snowflake:nth-of-type(8){left:80%;-webkit-animation-delay:1s,0s;animation-delay:1s,0s}.snowflake:nth-of-type(9){left:90%;-webkit-animation-delay:3s,1.5s;animation-delay:3s,1.5s}
  /* Demo Purpose Only*/
  .demo {
    font-family: 'Raleway', sans-serif;
      color:#fff;
      display: block;
      margin: 0 auto;
      padding: 15px 0;
      text-align: center;
  }
  .demo a{
    font-family: 'Raleway', sans-serif;
  color: #000;		
  }

.dothi {
    position: relative;
    padding: 20px;
    width: 100%;
    height: 300px;
}

#main-calc::-webkit-scrollbar {
    display: none;
}